Skip to main content
GET
List employee-attribute-definitions
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
or

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

FlowClient Credentials
Token URL
https://accounts.world.luccasoftware.com/connect/token
Scopes1
employee-attribute-definitions.readonly
Read [employee-attribute-definitions](/api-reference/latest/employee-attributes/employee-attribute-definition).

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

id
string[]

Filter out employee-attribute-definitions on their IDs.

Maximum array length: 100
Minimum string length: 1
Example:
schema.title
enum<string>

Filter out extension-definition on their schema.

Available options:
short-text,
long-text,
boolean,
int32,
decimal,
legacy-date,
phone-number,
email,
url,
file-reference,
employee-reference,
taxonomy-label-reference

Find an employee-attribute-definition by its name. The name must start with the given value.

Minimum string length: 1
category
enum<string>[]

Filter employee-attribute-definitions by the API surface exposing their values: system for properties of a primary resource, extension for values only readable on employee-attributes.

Maximum array length: 2
Available options:
system,
extension
Example:
isArchived
boolean

When omitted: return both archived and non-archived resources. When true: only return archived resources. When false: only return non-archived resources.

sort
enum<string>[]

Order results by instruction. Read more about sorting. Default: id.

Available options:
id,
-id,
name,
-name,
createdAt,
-createdAt
page
string

Cursor of the page to retrieve: the page value of links.next.href or links.prev.href in a previous response. Cursors are opaque: don't build or modify them. An invalid cursor gets a 400 Bad Request. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 1,000. Read more about pagination.

Required range: 0 <= x <= 1000
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of employee-attribute-definition resources.

type
string
Allowed value: "employee-attribute-definitions"
url
string<uri>
totalCount
integer<int64> | null

Total number of employee-attribute-definition resources across all pages that satisfy query parameters.

Required range: x >= 0
items
employee-attribute-definition · object[]
Maximum array length: 1000

Links to related resources

embedded
object | null

No embedded resources on a employee-attribute-definition(s) response. Expect an empty object if embedded are requested.